Bug 420011 - dependecy-problem with new openssl
dependecy-problem with new openssl
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-11 11:26 EST by Reindl Harald
Modified: 2007-12-31 08:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-31 08:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-12-11 11:26:53 EST
Can anybody rebuild the nx-package from rawhide

They are breaking installing of the follwoing packages and stops any updates
Local X-Server wont start this time and so nxclient is the only way to take a
look at new kde4-packages

 openssh                 i386       4.7p1-5.fc9      development       285 k
 openssh-askpass         i386       4.7p1-5.fc9      development        38 k
 openssh-clients         i386       4.7p1-5.fc9      development       463 k
 openssh-server          i386       4.7p1-5.fc9      development       264 k
 openssl                 i686       0.9.8g-2.fc9     development       1.5 M
 openssl-devel           i386       0.9.8g-2.fc9     development       1.9 M
Comment 1 Gwyn Ciesla 2007-12-11 11:32:18 EST
Comment 2 Gwyn Ciesla 2007-12-11 12:08:24 EST
Build failed.  Axel?

Comment 3 Alex Lancaster 2007-12-15 08:49:20 EST
Looking at:


It doesn't look like Axel has rebuilt anything in Fedora for about 4 months. 
(Maybe AWOL?)
Comment 4 Reindl Harald 2007-12-15 09:03:19 EST

Hm he seems to be alive because shortly i got asterisk-updates 
for F7 from atrpms...

The nx-troubles are a pain :-(

See also https://bugzilla.redhat.com/show_bug.cgi?id=373771
The problem that instead of showing susped/terminate by closing nxclient the
client on the remote-host will be started is now released for fedora-versions.

So on our fileserver (fedora 7) i cant suspend a session because there is also
nxclient installed to connect on other machines from there
Comment 5 Alex Lancaster 2007-12-15 09:40:33 EST
(In reply to comment #4)
> Hm he seems to be alive because shortly i got asterisk-updates 
> for F7 from atrpms...

But updates on atrpms doesn't really help Fedora proper, I mean he seems to not
be actively involved in pushing updates for his Fedora packages.
Comment 6 Reindl Harald 2007-12-27 16:02:45 EST
Its nearly unbelieveable that AT is the only 
person who is able to make the build :-(

For testing Fedora-Rawhide this is for me a priority-update because the virtual
machine with rawhide is only reachable with ssh on an explicit port routet on
the host and works if x-server will not start in the vm.

So now i cant use anything of f9 and so fedora has one bugreporter for other
packages lost until it works again 
Comment 7 Axel Thimm 2007-12-28 04:48:03 EST
(In reply to comment #2)
> Build failed.  Axel?
> http://koji.fedoraproject.org/koji/getfile?taskID=288147

koji seems to be down ATM, the URL gives me
Mod_python error: "PythonHandler mod_python.publisher"

Traceback (most recent call last):

  File "/usr/lib64/python2.4/site-packages/mod_python/apache.py", line 299, in
    result = object(req)

  File "/usr/lib64/python2.4/site-packages/mod_python/publisher.py", line 213,
in handler
    published = publish_object(req, object)

  File "/usr/lib64/python2.4/site-packages/mod_python/publisher.py", line 412,
in publish_object
    return publish_object(req,util.apply_fs_data(object, req.form, req=req))

  File "/usr/lib64/python2.4/site-packages/mod_python/util.py", line 439, in
    return object(**args)

TypeError: getfile() takes exactly 3 non-keyword arguments (2 given)

(In reply to comment #6)
> Its nearly unbelieveable that AT is the only 
> person who is able to make the build :-(

I can't say about the build failure, since I haven't seen the error yet, but on
all Fedora and RHEL up to excluding F9 apparently anyone would be able to
rebuild from the src.rpm.

I'm working on the nx3 package updates and I hope that once they are finished
this and several other bugs regarding nx will be fixed in one sweep.
Comment 8 Axel Thimm 2007-12-28 16:16:30 EST
I still can't see the old build, perhaps koji is pruning the logs away at some
time and the python error is just trying to say that. :/

I submitted a build of my own and the error is (at least now):
| Processing files: nx-2.1.0-24.fc9
| error: Couldn't exec /builddir/build/SOURCES/nxfind-provides.sh: Permission denied
| getOutputFrom(): Broken pipe
| EXCEPTION: Command failed. See logs for output.
|  # bash -l -c 'rpmbuild -bb --target i386 --nodeps //builddir/build/SPECS/nx.spec'
| Traceback (most recent call last):
|   File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in
|     result = func(*args, **kw)
|   File "/usr/lib/python2.4/site-packages/mock/util.py", line 286, in do
|     raise mock.exception.Error, ("Command failed. See logs for output.\n # %s"
| % (command,), ret)
| Error: Command failed. See logs for output.
|  # bash -l -c 'rpmbuild -bb --target i386 --nodeps //builddir/build/SPECS/nx.spec'

This is changed behaviour of koji, as Sources: were allowed to be scripts
especially for the mechanism used in nx (and a couple of other packages). The
policy may have changed of course, and therefore I asked on the FPC list whether
there was such a change, and whether the idiom in general is still supported:


I'll have to wait until this is resolved to take the proper action, perhaps one
now needs to do it differently and someone on the list will tell me, or koji/CVS
is broken and needs to be fixed.
Comment 9 Gwyn Ciesla 2007-12-28 16:29:30 EST
That's what I got on 12/11.
Comment 10 Axel Thimm 2007-12-30 07:58:02 EST
The workaround is to prepend the script invocation with sh (see followup to the
thread). With this the build succeeds:


Should be in rawhide soon. Please give it a test as it will very soon be replace
by the 3.x series and it would be nice to later know if any regressiosn were
already there with the 2.x build on F9. Thanks!

I'll close as FIXED once I see this hitting the mirrors.

Note You need to log in before you can comment on or make changes to this bug.